using System;

class Program
{
    static void Main()
    {
        string[] X1 = Console.ReadLine().Split();
        int N = int.Parse(X1[0]);
        int L = int.Parse(X1[1]);
        string[] Y = Console.ReadLine().Split();
        int[] S = new int[N];
       
        for (int i = 0; i < N; i++)
        {
            S[i] = int.Parse(Y[i]);
        }

        for (int i = 0; i < N; i++)
        {
            if (S[i] <= L)
            {
                Console.WriteLine(i + 1);
                return;
            }
        }

        Console.WriteLine(-1);
    }
}